#include <bits/stdc++.h>
using namespace std;
int main(){
   string a;
   cin>>a;
   long long d=a.size()-1;
   for(long long i=a.size()-1;i<a.size();i--){
        if(i==d&&a[i]=='0')d--;
        else if(a[i]=='5')cout<<'2';
        else if(a[i]=='2')cout<<'5';
        else cout<<a[i];
   }

}

